Bug 430981 - poppler crash when accessing HTTPS site with password
Summary: poppler crash when accessing HTTPS site with password
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-30 22:11 UTC by Horst H. von Brand
Modified: 2008-02-01 04:50 UTC (History)
1 user (show)

Fixed In Version: firefox-3.0-0.beta2.15.nightly20080130.fc9.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 02:09:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Resulting gecko-bugreport.txt file (483.27 KB, text/plain)
2008-01-30 22:11 UTC, Horst H. von Brand
no flags Details
firefox_crash_cpulock.txt (37.28 KB, text/plain)
2008-01-30 23:58 UTC, Andrew Farris
no flags Details
firefox_crash_cpulock_safemode.txt (6.88 KB, text/plain)
2008-01-31 00:34 UTC, Andrew Farris
no flags Details

Description Horst H. von Brand 2008-01-30 22:11:44 UTC
Description of problem:
Accessing <https://evalcyt.conicyt.cl/declaracion-astronomia>, Firefox crashes
and gives a backtrace.

Version-Release number of selected component (if applicable):
poppler-0.6.4-2.fc9.i386
firefox-3.0-0.beta2.12.nightly20080121.fc9.i386

How reproducible:
Always at that site

Steps to Reproduce:
1. Open Firefox
2. Open https://evalcyt.conicyt.cl/declaracion-astronomia
3.
  
Actual results:
Crash

Expected results:
Access to protected webpage

Additional info:

Comment 1 Horst H. von Brand 2008-01-30 22:11:45 UTC
Created attachment 293500 [details]
Resulting gecko-bugreport.txt file

Comment 2 Andrew Farris 2008-01-30 23:58:49 UTC
Created attachment 293524 [details]
firefox_crash_cpulock.txt

I have a crash on the same version of firefox, resulting in CPU spinning widely
until gdb attached.  The backtrace is attached.

This occurred visiting bugzilla.redhat.com with two tabs open.	The second tab
was loaded at a blank page I believe.

Comment 3 Andrew Farris 2008-01-31 00:34:00 UTC
Created attachment 293525 [details]
firefox_crash_cpulock_safemode.txt

Also happens in -safe-mode, still only browsing bugzilla.

Comment 4 Andrew Farris 2008-01-31 00:42:04 UTC
Another note (bug spam I know).  The crash I see happens predictably when
loading https://bugzilla.redhat.com/query.cgi?format=simple
but it does not happen when loading
https://bugzilla.redhat.com/enter_bug.cgi?format=guided

Both pages use ajax content, but the query is crashing it on queue.  The query
page displays but the components select box does not populate (stays grey).


Comment 5 Andrew Farris 2008-01-31 09:24:45 UTC
galeon-2.0.4-2.fc9.i386 does not freeze loading the bugzilla query page.

Horst can you duplicate firefox freezing up with bugzilla at all or might I be
looking at a whole other bug issue here?

Comment 6 Horst H. von Brand 2008-01-31 22:06:53 UTC
Just reported upstream as <https://bugzilla.mozilla.org/show_bug.cgi?id=415158>

Comment 7 Horst H. von Brand 2008-01-31 22:17:41 UTC
Re: #4: No, it doesn't freeze or crash with any of those URLs.
Re: #5: Fortunately, Bugzilla works fine for me. And Galeon does work with the
page I've got troubles with, thanks!

Comment 8 Horst H. von Brand 2008-02-01 02:05:47 UTC
Re: #6: Upstream DOES NOT accept bug reports against non-official builds.

Comment 9 Horst H. von Brand 2008-02-01 02:09:45 UTC
Fixed in firefox-3.0-0.beta2.15.nightly20080130.fc9.i386

Comment 10 Andrew Farris 2008-02-01 04:50:40 UTC
Bugzilla ajax issues are not fixed, cloned to bug# 431162


Note You need to log in before you can comment on or make changes to this bug.